Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Interface TextListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  AWTEventMulticaster, TextArea.AccessibleAWTTextArea, TextComponent.AccessibleAWTTextComponent, TextField.AccessibleAWTTextField

    public interface TextListener

extends EventListener

The listener interface for receiving text events. The class that is interested in processing a text event implements this interface. The object created with that class is then registered with a component using the component's `addTextListener` method. When the component's text changes, the listener object's `textValueChanged` method is invoked.

Since:
  1.1
See Also:
  `TextEvent`, Tutorial: Writing a Text Listener, Reference: The Java Class Libraries (update file)

Method Summary
`void` | `textValueChanged(TextEvent e)` Invoked when the value of the text has changed.

Method Detail

### textValueChanged

    void textValueChanged(TextEvent e)

  Invoked when the value of the text has changed. The code written for this method performs the operations that need to occur when text changes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.